Card Charge

Start a card payment transaction by sending the customer's card details and transaction information.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Use successRedirectUrl and failureRedirectUrl to specify where the customer should return after a successful or failed payment. redirectUrl is a response field, not a request parameter. ipAddress is required.

Note: The transaction is processed asynchronously. You should poll the transaction status or listen for webhook updates to determine if further action is needed.

Body Params
float
required
string
required

3-letter currency code (e.g., NGN, USD).

string
required

The user's ip address.

string
required

Customer's email address.

string
required

Customer's first name

string
required

Customer's last name

string
required

A unique ID of your liking to reconcile transactions internally.

cardDetails
object
required

Card details object

address
object

Billing address (required for some international cards)

device3DSInfo
object

Required for some currencies e.g USD

string

The redirect url for a successful transaction

uri

Optional URL to return the customer to after a failed payment.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json